%define _disable_source_fetch 0
%define debug_package %{nil}

Name:           extra-cmake-modules
Version:        6.24.0
Release:        6%{?dist}
Summary:        Additional modules for CMake

License:        BSD-2-Clause
URL:            https://invent.kde.org/frameworks/extra-cmake-modules
Source0:        https://download.kde.org/stable/frameworks/6.24/extra-cmake-modules-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  cmake
BuildRequires:  gcc-c++
# BuildRequires:  qt6-qtbase-devel
# For building documentation
# BuildRequires:  python3-sphinx
# BuildRequires:  qt6-qttools-devel

%description
The Extra CMake Modules package contains modules that may be used by CMake
based projects to search for software, or to facilitate the compilation of
software with CMake.

%prep
%autosetup -p1

%build
%cmake -DBUILD_HTML_DOCS=OFF -DBUILD_MAN_DOCS=OFF -DBUILD_QTHELP_DOCS=OFF -DBUILD_TESTING=OFF
%cmake_build

%install
%cmake_install

%files
%license LICENSES/*.txt
%{_datadir}/ECM/
# %{_mandir}/man7/ecm*.7*
# %{_datadir}/doc/qt6/*.qch

%changelog
* Tue Mar 24 2026 Anders da Silva Rytter Hansen <andersrh@users.noreply.github.com> - 6.24.0-1
- Update to 6.24.0 for SonicDE
